import FileType from "file-type";

export interface IFileInformation {
	fileDisplayName: string;
	fileName: string;
	fileChecksum: string;
	isDocumentation: boolean;
	fileType: FileType.FileTypeResult;
	fileSize: number;
}

export interface IFileWithInformation<AdditionalData> {
	buffer: Buffer;
	info: IFileInformation;
	additionalData?: AdditionalData;
}
